Subject: Re: bug#11003: Emacs-24 Hangs When Displaying Unicode #x6c0 (ARABIC HEH WITH YEH ABOVE) -- gdb backtrace

From: Mohsen BANAN <[email-masked]>
Date: Tue, 20 Mar 2012 17:23:17 -0700

>>>>> On Mon, 19 Mar 2012 13:21:31 +0900, Kenichi Handa <[email-masked]> said:

  Kenichi> In article <[email-masked]>, Kenichi Handa <[email-masked]> writes:
  >> In article <[email-masked]>, Mohsen BANAN
  >> <[email-masked]> writes:
  >> > In my environment,

  >> > - I run emacs -Q
  >> > - Then in the *scratch* buffer I eval (ucs-insert 1728)

  >> > Emacs display hangs.

  >> > The hang occurs when displaying unicode #x6c0
  >> > (arabic heh with yeh above).

  >> [...]
  >> >     xft:-unknown-B Compset-normal-normal-normal-*-13-*-*-*-*-0-iso10646-1 (#xC7)

  Kenichi> Thank you for the report.  I confirmed this bug with the
  Kenichi> above font.  I'm now investigating what is wrong.

And a bit later

  Kenichi> I've just installed a fix to the trunk.  Please try again
  Kenichi> with the latest code.

I tested your code and it works in my environment.

The character unicode #x6c0 is properly displayed
and emacs24 does not hang.

So, I think bug#11003 can be considered closed.

But, for my benefit (and perhaps others) perhaps
you can describe what was special about that
one character and that one font. Were there other
characters that were also problematic?
Why was this not a problem in emacs23 and how/when did
it enter emacs24? ...

Thank you for having fixed this bug.

...Mohsen